﻿@model CoinPaymentsViewModel
@{
    ViewBag.Title = "CoinPayments.net";
}

<div class="card-box">
    @if (Model.Balances != null && Model.Balances.Count > 0)
    {
        <div class="table-responsive">
            <table class="table">
                <thead>
                    <tr>
                        <th>کوین</th>
                        <th>موجودی</th>
                        <th>عملیات</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var balanceItem in Model.Balances)
                    {
                        <tr>
                            <th>@balanceItem.Type.ToDisplay(DisplayProperty.Prompt) <small>(@balanceItem.Type.ToDisplay(DisplayProperty.ShortName))</small></th>
                            <td>@balanceItem.Balance.ToBlockChainPrice()</td>
                            <td>
                                @if (balanceItem.IsActiveNow)
                                {
                                    <a href="#" onclick="Withdraw('@balanceItem.Type.ToDisplay(DisplayProperty.Prompt)', @balanceItem.Type.ToInt(), @Xtoman.Domain.Models.WalletApiType.Kraken.ToInt()); return false;" class="btn btn-primary">انتقال به کرکن</a>
                                    <a href="#" onclick="Withdraw('@balanceItem.Type.ToDisplay(DisplayProperty.Prompt)', @balanceItem.Type.ToInt(), @Xtoman.Domain.Models.WalletApiType.Binance.ToInt()); return false;" class="btn btn-warning">انتقال به بایننس</a>
                                    if (balanceItem.Type == Xtoman.Domain.Models.ECurrencyType.Bitcoin)
                                    {
                                        <a href="#" onclick="Withdraw('بیت کوین', @balanceItem.Type.ToInt(), @Xtoman.Domain.Models.WalletApiType.LocalBitcoins.ToInt()); return false;" class="btn btn-secondary">انتقال به لوکال</a>
                                    }
                                }
                                else
                                {
                                    <small>کیف پول @balanceItem.Type.ToDisplay() موقتا قطع است</small>
                                }
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    }
</div>

@section scripts{
    <script>
        var addressUrl = "@Url.Action("WalletAddress")";
        var withdrawUrl = "@Url.Action("Withdraw")";
        function Withdraw(currencyTypeName, currencyType, walletType) {
            var postData = { currencyType: currencyType, walletType: walletType };
            doAjax(postData, addressUrl, function (data) {
                if (data.Status) {
                    var walletName = "";
                    switch (walletType) {
                        case @Xtoman.Domain.Models.WalletApiType.LocalBitcoins.ToInt():
                            walletName = "لوکال";
                            break;
                        case @Xtoman.Domain.Models.WalletApiType.Binance.ToInt():
                            walletName = "بایننس";
                            break;
                        case @Xtoman.Domain.Models.WalletApiType.Kraken.ToInt():
                            walletName = "کرکن";
                            break;
                    }
                    var question = "آیا واریز کل " + currencyTypeName + " ها به کیف پول " + walletName + " به آدرس <small>" + data.Address + "</small>";
                    if (data.PayTagId) {
                        question += " و Tag " + data.PayTagId;
                    }
                    question += " را تایید می کنید؟";
                    confirmDialog(question, function () {
                        doAjax(postData, withdrawUrl, function (cData) {
                            //if (cData.Status) {
                                window.location.reload();
                            //}
                        });
                    });
                }
            });
        }
    </script>    
}